<id>
Post Field Check
</id>

<version>
.1 beta
</version>

<mod info>
Post Field Check mod.

This mod will alert a user who tries to submit a post without entering 
either a "Subject", a "Name" or an "Email" address when required. While 
YaBB's error checking as it is now, will display an error message when 
one of these fields are left blank, you will lose whatever you typed in the 
message text area upon returning to the Post page. This will prevent the 
frustration of losing an entire message just for forgetting to enter one 
of the above mentioned fields. 

THIS MOD IS FOR YABB SP1.2/SP1.3.x WITH ATTACHMENTS MOD ONLY.
There are 4 versions of this mod, depending on your YaBB version 
and whether or not you have the attachments mod installed.

Install the mod manually or with BoardMod program, then upload the 
modified Post.pl file to your Sources dir.
</mod info>

<author>
DummyProof
</author>

<homepage>
http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl
</homepage>

<edit file>
Sources/Post.pl
</edit file>

<search for>
	$email_field = $realemail eq '' ? qq~      <tr>
</search for>

<add before>
	if($name_field){
		$namecheck = qq~
	if (checkForm.name.value == "") {
		alert("$txt{'75'}")
		checkForm.name.focus()
		return false
	}~;
	} else {
		$namecheck = '';
	}

</add before>

<search for>
	$sub = "";
	$settofield="subject";
</search for>

<add before>
	if($email_field){
		$emailcheck = qq~
	if (checkForm.email.value == "") {
		alert("$txt{'76'}")
		checkForm.email.focus()
		return false
	}~;
	} else {
		$emailcheck = '';
	}

</add before>

<search for>
	if(!$sub) { $subtitle = "<i>$txt{'33'}</i>"; }
	else { $subtitle = "<i>$sub</i>"; }
</search for>

<add after>
	if(!$sub){
		$subjectcheck = qq~
	if (checkForm.subject.value == "") {
		alert("$txt{'77'}")
		checkForm.subject.focus()
		return false
	}~;
	} else {
		$subjectcheck = '';
	}

	if($namecheck || $emailcheck || $subjectcheck) {
		$formcheck1 = qq~return validForm(this)\;return submitproc()~;
		$formcheck2 = qq~
<SCRIPT LANGUAGE="JAVASCRIPT" TYPE="TEXT/JAVASCRIPT">
<!-- Hide script from older browsers
function validForm(checkForm) {
$subjectcheck
$namecheck
$emailcheck
	return true
}
// End hiding script -->
</SCRIPT>~;
	} else {
		$formcheck1 = qq~return submitproc()~;
		$formcheck2 = '';
	}

</add after>

<search for>
~;
	$submittxt = "$txt{'105'}";
	$destination = "post2";
</search for>

<add before>
$formcheck2
</add before>

<search for>
sub Postpage {
	my $extra;
</search for>

<add after>
	if(!$formcheck1){$formcheck1 = qq~return submitproc()~;}
</add after>

<search for>
<form action="$cgi;action=$destination" method="post" name="postmodify" ENCTYPE="multipart/form-data" onSubmit="return submitproc()">
</search for>

<replace>
<form action="$cgi;action=$destination" method="post" name="postmodify" ENCTYPE="multipart/form-data" onSubmit="$formcheck1">
</replace>